package md

type MqQueue struct {
	ExchangeName   string `json:"exchangeName"`     //交换机名字
	Name           string `json:"name"`             //队列名字
	Type           string `json:"type"`             //队列类型
	IsPersistent   bool   `json:"is_persistent"`    //队列是否持久化
	RoutKey        string `json:"rout_key"`         //路由
	BindKey        string `json:"bind_key"`         //绑定的路由
	ConsumeFunName string `json:"consume_fun_name"` //消费方法
}

var RabbitMqQueueKeyList = []*MqQueue{
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_star_level_dividend_queue",
		Type:           TopicQueueType,
		IsPersistent:   false,
		RoutKey:        "star_level_dividend",
		BindKey:        "",
		ConsumeFunName: "EggEnergyStartLevelDividendConsume",
	},
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_fund_data_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "fund_data",
		BindKey:        "",
		ConsumeFunName: "EggEnergyDealFundDataConsume",
	},
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_platform_revenue_data_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "platform_revenue_data",
		BindKey:        "",
		ConsumeFunName: "EggEnergyDealPlatformRevenueDataConsume",
	},
}

const (
	EggEnergyStartLevelDividendFunName      = "EggEnergyStartLevelDividendConsume"
	EggEnergyDealFundDataFunName            = "EggEnergyDealFundDataConsume"
	EggEnergyDealPlatformRevenueDataFunName = "EggEnergyDealPlatformRevenueDataConsume"
)
